<?xml version="1.0" encoding="utf-8"?>

<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">

    <RelativeLayout
        android:id="@+id/rlout"
        android:layout_width="match_parent"
        android:layout_height="60dp"
        android:layout_marginStart="4dp"
        android:layout_marginLeft="4dp"
        android:layout_marginTop="4dp"
        android:layout_marginBottom="4dp"
        android:background="@android:color/transparent"
        android:orientation="horizontal">

        <ImageButton
            android:id="@+id/backButton"
            android:layout_width="40dp"
            android:layout_height="40dp"
            android:layout_alignParentStart="true"
            android:layout_alignParentLeft="true"
            android:layout_centerInParent="true"
            android:layout_marginStart="8dp"
            android:layout_marginLeft="8dp"
            android:background="@android:color/transparent"
            android:contentDescription="@string/app_name"
            android:scaleType="fitCenter"
            android:src="@drawable/back_icon" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_gravity="center"
            android:layout_marginStart="5dp"
            android:layout_marginLeft="5dp"
            android:layout_toEndOf="@id/backButton"
            android:layout_toRightOf="@id/backButton"
            android:gravity="center"
            android:orientation="horizontal">

            <TextView
                android:id="@+id/productName"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_gravity="center"
                android:layout_marginEnd="8dp"
                android:layout_marginRight="8dp"
                android:gravity="start|center"
                android:text="Enquiry Form"
                android:textSize="18sp"
                android:textStyle="bold" />

        </LinearLayout>
    </RelativeLayout>

    <LinearLayout xmlns:app="http://schemas.android.com/apk/res-auto"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_below="@+id/rlout"
        android:layout_toStartOf="@+id/llout_buttons"
        android:layout_toLeftOf="@+id/llout_buttons"
        android:background="@android:color/transparent"
        android:baselineAligned="false"
        android:orientation="horizontal">


        <LinearLayout
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_marginStart="@dimen/_10sdp"
            android:layout_marginLeft="@dimen/_10sdp"
            android:layout_marginEnd="@dimen/_10sdp"
            android:layout_marginRight="@dimen/_10sdp"
            android:layout_weight="1"
            android:orientation="vertical">


            <TextView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:gravity="center"
                android:text="Select Model"
                android:textColor="@color/material_black"
                android:textSize="@dimen/txt9" />

            <com.ttiglobal.inttilectgpchat.swipe.EnquirySwipeSelector
                android:id="@+id/swipeSelector"
                android:layout_width="match_parent"
                android:layout_height="@dimen/_120sdp"
                android:layout_gravity="center"
                app:swipe_indicatorSize="0dp" />


            <TextView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:layout_marginTop="@dimen/_10sdp"
                android:layout_marginBottom="@dimen/_10sdp"
                android:gravity="center"
                android:text="Bike Model"
                android:textColor="@color/material_bluegrey800"
                android:textSize="@dimen/txt9"
                android:textStyle="bold"
                android:visibility="invisible" />


            <TextView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_gravity="start|center"
                android:layout_marginStart="@dimen/_12sdp"
                android:layout_marginLeft="@dimen/_12sdp"
                android:layout_marginEnd="@dimen/_12sdp"
                android:layout_marginRight="@dimen/_12sdp"
                android:gravity="start|center"
                android:text="Bike Model"
                android:textColor="@color/material_bluegrey800"
                android:textSize="@dimen/txt9"
                android:textStyle="bold" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@drawable/custom_border"
                android:orientation="horizontal"
                android:weightSum="2">

                <Spinner
                    android:id="@+id/spnVariant"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:singleLine="true"
                    android:textColor="@color/material_bluegrey800"
                    android:textSize="@dimen/txt9" />

            </LinearLayout>

        </LinearLayout>

        <View
            android:layout_width="@dimen/_1sdp"
            android:layout_height="match_parent"
            android:background="@color/colorAccent" />

        <LinearLayout
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_marginStart="@dimen/_10sdp"
            android:layout_marginLeft="@dimen/_10sdp"
            android:layout_marginEnd="@dimen/_10sdp"
            android:layout_marginRight="@dimen/_10sdp"
            android:layout_weight="1"
            android:orientation="vertical">


            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical">

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:layout_marginTop="@dimen/_2sdp"
                    android:layout_marginBottom="@dimen/_2sdp"
                    android:gravity="start"
                    android:text="Customer Name"
                    android:textColor="@color/material_black"
                    android:textSize="@dimen/txt9"
                    android:textStyle="bold" />


                <EditText
                    android:id="@+id/edtCustName"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/_12sdp"
                    android:layout_marginLeft="@dimen/_12sdp"
                    android:layout_marginEnd="@dimen/_12sdp"
                    android:layout_marginRight="@dimen/_12sdp"
                    android:background="@drawable/custom_border"
                    android:hint="Alex"
                    android:inputType="textPersonName|textCapSentences"
                    android:padding="@dimen/_8sdp"
                    android:singleLine="true"
                    android:textColor="@color/material_bluegrey800"
                    android:textSize="@dimen/txt9" />

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/_2sdp"
                android:layout_marginBottom="@dimen/_2sdp"
                android:orientation="vertical">

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:layout_marginTop="@dimen/_2sdp"
                    android:layout_marginBottom="@dimen/_2sdp"
                    android:gravity="start"
                    android:text="Mobile Number"
                    android:textColor="@color/material_bluegrey800"
                    android:textSize="@dimen/txt9"
                    android:textStyle="bold" />


                <EditText
                    android:id="@+id/edtMobNumer"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/_12sdp"
                    android:layout_marginLeft="@dimen/_12sdp"
                    android:layout_marginEnd="@dimen/_12sdp"
                    android:layout_marginRight="@dimen/_12sdp"
                    android:background="@drawable/custom_border"
                    android:hint="XXX XXX XXXX"
                    android:maxLength="15"
                    android:inputType="numberDecimal|phone"
                    android:padding="@dimen/_8sdp"
                    android:singleLine="true"
                    android:textColor="@color/material_bluegrey800"
                    android:textSize="@dimen/txt9" />

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/_2sdp"
                android:layout_marginBottom="@dimen/_2sdp"
                android:orientation="vertical">

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:layout_marginTop="@dimen/_2sdp"
                    android:layout_marginBottom="@dimen/_2sdp"
                    android:gravity="start"
                    android:text="Email Address"
                    android:textColor="@color/material_bluegrey800"
                    android:textSize="@dimen/txt9"
                    android:textStyle="bold" />


                <EditText
                    android:id="@+id/edtEmailAddress"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/_12sdp"
                    android:layout_marginLeft="@dimen/_12sdp"
                    android:layout_marginEnd="@dimen/_12sdp"
                    android:layout_marginRight="@dimen/_12sdp"
                    android:background="@drawable/custom_border"
                    android:hint="alex@alex.com"
                    android:inputType="textEmailAddress|textWebEmailAddress"
                    android:padding="@dimen/_8sdp"
                    android:singleLine="true"
                    android:textColor="@color/material_bluegrey800"
                    android:textSize="@dimen/txt9" />

            </LinearLayout>

            <LinearLayout
                android:id="@+id/lloutCheckTerms"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:layout_marginTop="@dimen/_5sdp"
                android:layout_marginBottom="@dimen/_5sdp"
                android:gravity="center"
                android:orientation="horizontal">

                <ImageView
                    android:id="@+id/imgCheck"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="start|center"
                    android:src="@android:drawable/checkbox_off_background" />


                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:singleLine="true"
                    android:text="@string/send_brochour"
                    android:textColor="@color/material_bluegrey800"
                    android:textSize="@dimen/txt9" />

            </LinearLayout>

            <Button
                android:id="@+id/btn_send"
                android:layout_width="@dimen/_120sdp"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:layout_marginTop="@dimen/_5sdp"
                android:layout_marginBottom="@dimen/_5sdp"
                android:background="@drawable/edt_border"
                android:paddingStart="@dimen/_5sdp"
                android:paddingLeft="@dimen/_5sdp"
                android:paddingEnd="@dimen/_5sdp"
                android:paddingRight="@dimen/_5sdp"
                android:text="@string/save_and_send"
                android:textColor="@color/white"
                android:textSize="@dimen/txt9" />

        </LinearLayout>

    </LinearLayout>

    <LinearLayout
        android:id="@+id/llout_buttons"
        android:layout_width="wrap_content"
        android:layout_height="match_parent"
        android:layout_alignParentEnd="true"
        android:layout_alignParentRight="true"
        android:orientation="vertical">

        <ImageView
            android:id="@+id/img_close"
            android:layout_width="@dimen/_65sdp"
            android:layout_height="@dimen/_65sdp"
            android:contentDescription="@string/app_name"
            android:src="@drawable/right_close" />

        <ImageView
            android:id="@+id/imgBroucher"
            android:layout_width="@dimen/_60sdp"
            android:layout_height="@dimen/_40sdp"
            android:scaleType="fitEnd"
            android:layout_marginTop="@dimen/_5sdp"
            android:src="@drawable/selected_broucher"
            tools:ignore="RelativeOverlap" />

        <ImageView
            android:id="@+id/img_rating"
            android:layout_width="@dimen/_60sdp"
            android:layout_height="@dimen/_40sdp"
            android:contentDescription="@string/app_name"
            android:layout_marginTop="@dimen/_5sdp"
            android:scaleType="fitEnd"
            android:src="@drawable/unselected_enquiry"
            tools:ignore="RelativeOverlap" />

    </LinearLayout>

    <Button
        android:id="@+id/btn_tv_send"
        android:layout_width="@dimen/_120sdp"
        android:layout_height="wrap_content"
        android:layout_alignParentEnd="true"
        android:layout_alignParentRight="true"
        android:layout_alignParentBottom="true"
        android:layout_gravity="center"
        android:layout_margin="@dimen/_15sdp"
        android:background="@drawable/edt_border"
        android:paddingStart="@dimen/_5sdp"
        android:paddingLeft="@dimen/_5sdp"
        android:paddingEnd="@dimen/_5sdp"
        android:paddingRight="@dimen/_5sdp"
        android:text="Send"
        android:textColor="@color/white"
        android:textSize="@dimen/txt9"
        android:visibility="gone" />

    <ProgressBar
        android:id="@+id/progress"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_centerInParent="true"
        android:layout_centerHorizontal="true" />
</RelativeLayout>